﻿@model Restaurant.Models.SubCategoryViewModels.SubCategoryAndCategoryViewModel
@using Restaurant.Extensions
@{
    ViewData["Title"] = "Create";
}
<br />

<h2>Create Subcategory</h2>

<br />
@Html.Partial("_StatusMessage", Model.StatusMessage)
<hr />

<div class="row">
    <div class="col-8">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group row">
                <div class="col-3">
                    <label asp-for="SubCategory.Name" class="custom-label"></label>
                </div>
                <div class="col-5">
                    <input asp-for="SubCategory.Name" class="form-control">
                </div>
                <span asp-validation-for="SubCategory.Name" class="text-danger"></span>
            </div>
            <div class="form-group row">
                <div class="col-3">
                    <label asp-for="SubCategory.CategoryId" class="custom-label"></label>
                </div>
                <div class="col-5">
                    <select asp-for="SubCategory.CategoryId" asp-items="Model.CategoryList.ToSelectListItem(Model.SubCategory.CategoryId)" class="form-control"></select>
                </div>
            </div><div class="form-group row">
                <div class="col-3">
                    <label asp-for="IsNew" class="custom-label"></label>
                </div>
                <div class="col-5">
                    <input asp-for="IsNew" class="form-control">
                </div>
            </div>

            <div class="form-group row">
                <div class="col-3"></div>
                <div class="col-5">
                    <input type="submit" value="Create" class="btn btn-primary" />
                    <a asp-action="Index" class="btn btn-success">Back To List</a>
                </div>
            </div>
        </form>
    </div>
    <div class="col-4">
        @if(Model.subCategoryList.Count()>0)
        {
            <p>Existing Subcategories : </p>
            <ul class="list-group">
                @foreach(var item in Model.subCategoryList)
                {
                    <li class=" list-group-item">@item</li>
                }
            </ul>
        }
    </div>
</div>


@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}